import request from '@/utils/request'

// 查询特征数据列表
export function listZtxxTzsj(query) {
  return request({
    url: '/system/ztxxTzsj/list',
    method: 'get',
    params: query
  })
}

// 查询特征数据详细
export function getZtxxTzsj(id) {
  return request({
    url: '/system/ztxxTzsj/' + id,
    method: 'get'
  })
}

// 新增特征数据
export function addZtxxTzsj(data) {
  return request({
    url: '/system/ztxxTzsj',
    method: 'post',
    data: data
  })
}

// 修改特征数据
export function updateZtxxTzsj(data) {
  return request({
    url: '/system/ztxxTzsj',
    method: 'put',
    data: data
  })
}

// 删除特征数据
export function delZtxxTzsj(id) {
  return request({
    url: '/system/ztxxTzsj/' + id,
    method: 'delete'
  })
}
